package com.mx.dla.dda.contrato.generales.actions;

import java.util.Date;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;

import com.mx.dla.dda.contrato.common.actions.BaseContratoAction;

@Controller
@Scope("request")
public class ContratoProcesoAction extends BaseContratoAction {
	
	private static final long serialVersionUID = 1L;
	
	private String mensaje;
	private Integer valor;
	private Long idCon;
	private boolean seCalculoCostoTitulo;
	private Date fechaInicio;

	public String execute() {
		return SUCCESS;
	}
	
	public void setMensaje(String mensaje) {
		this.mensaje = mensaje;
	}
	
	public String getMensaje() {
		return mensaje;
	}
	
	public void setValor(Integer valor) {
		this.valor = valor;
	}
	
	public Integer getValor() {
		return valor;
	}
	
	public void setIdCon(Long idCon) {
		this.idCon = idCon;
	}
	
	public Long getIdCon() {
		return idCon;
	}
	
	public void setFechaInicio(Date fechaInicio) {
		this.fechaInicio = fechaInicio;
	}
	
	public Date getFechaInicio() {
		return fechaInicio;
	}
	
	public void setSeCalculoCostoTitulo(boolean seCalculoCostoTitulo) {
		this.seCalculoCostoTitulo = seCalculoCostoTitulo;
	}
	
	public boolean getSeCalculoCostoTitulo() {
		return seCalculoCostoTitulo;
	}

}
